$._ext_HAZYNIGHTEFFECT={
    run : function() {
#target photoshop
//
// HazyNightEffect.jsx
//

//
// Generated Mon Sep 26 2016 08:18:18 GMT+0500
//

cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
//==================== HazyNightEffect ==============
//
function HazyNightEffect() {
  // Play
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Actn'), "Hazy Night");
    ref1.putName(cTID('ASet'), "Magic Retouch Pro Support Actions");
    desc1.putReference(cTID('null'), ref1);
    executeAction(cTID('Ply '), desc1, dialogMode);
  };

  step1();      // Play
};



//=========================================
//                    HazyNightEffect.main
//=========================================
//

HazyNightEffect.main = function () {
  HazyNightEffect();
};

HazyNightEffect.main();

// EOF

"HazyNightEffect.jsx"
// EOF
      },
};
